Skip to Content
veriom

Submit evidence envelope

POST
/v1/workspaces/{workspace_id}/evidence-envelopes

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Header Parameters

Idempotency-Key*Idempotency-Key

Request Body

application/json
  1. body
artifacts?array<>
Itemsitems <= 100
authority*Authority
Length1 <= length <= 100
collection_method*Collection Method
Length1 <= length <= 100
coverage?
envelope_id*Envelope Id
Formatuuid
expires_at*Expires At
Formatdate-time
idempotency_key*Idempotency Key
Match^[A-Za-z0-9._:-]+$
Length8 <= length <= 255
issued_at*Issued At
Formatdate-time
records*array<>
Items1 <= items <= 1000
redactions?array<string>
Itemsitems <= 100
schema_version?Schema Version
Default"evidence-envelope-v1"
signature*
source*
uncertainties?array<string>
Itemsitems <= 100
workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
receipt*
replayed?Replayed
Defaultfalse
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence-envelopes' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "authority": "string",  "collection_method": "string",  "envelope_id": "cd819e97-5425-4178-8fcc-567f1dc109ce",  "expires_at": "2019-08-24T14:15:22Z",  "idempotency_key": "stringst",  "issued_at": "2019-08-24T14:15:22Z",  "records": [    {      "confidence": 0,      "content_sha256": "string",      "evidence_id": "5360afe2-6320-4611-b2b1-06edeee7fc1e",      "kind": "string",      "observed_at": "2019-08-24T14:15:22Z",      "provider": "string",      "source_ref": "string",      "source_type": "code",      "subject_key": "string",      "summary": "string"    }  ],  "signature": {    "key_id": "string",    "value": "stringstringstringstringstringstringstri"  },  "source": {    "external_id": "string",    "kind": "code",    "observed_at": "2019-08-24T14:15:22Z",    "provider": "string",    "revision": "string"  },  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}'
Example Response
{  "receipt": {    "accepted_at": "2019-08-24T14:15:22Z",    "accepted_count": 0,    "connector_run_id": "5eefb999-32aa-4c58-8359-61266d11f7ec",    "created_at": "2019-08-24T14:15:22Z",    "envelope_id": "cd819e97-5425-4178-8fcc-567f1dc109ce",    "error_codes": [      "string"    ],    "expires_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "idempotency_key": "string",    "issued_at": "2019-08-24T14:15:22Z",    "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157",    "observed_at": "2019-08-24T14:15:22Z",    "payload_sha256": "string",    "producer_id": "48627843-6f79-4314-844d-c75457b8ae79",    "record_count": 0,    "rejected_count": 0,    "schema_version": "string",    "signature_key_id": "string",    "signed_envelope_sha256": "string",    "source_external_id": "string",    "source_kind": "string",    "source_provider": "string",    "source_revision": "string",    "status": "accepted",    "submitted_by": "6703ac2f-9eb5-40e9-9fde-511b2dbf4be5",    "updated_at": "2019-08-24T14:15:22Z",    "validation_errors": [      {}    ],    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "replayed": false}